View Issue Details

IDProjectCategoryView StatusLast Update
0018789FPCDatabasepublic2011-10-15 17:05
ReporterOld Dog Assigned ToJoost van der Sluis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionsuspended 
Summary0018789: tdbf index oddity
DescriptionI have a database of states with two indexes, abbreviation and name. when the active index is name the records numbers are sequential. when the active index is name the record numbers skip.
[code]procedure TFormStates.CreateStatesTable(AFileName : String);

begin
  With DbfStates do
    begin
      Close;
      with FieldDefs do
        begin
          Clear;
          Add('Abrev',ftString,2);
          Add('Name',ftString,25);
          Add('Country',ftString,6);
          Add('Neighbors',ftString,80);
        end;
      TableName:=aFileName;
      CreateTable;
      Exclusive := true;
      Open;
      AddIndex('ndxAbrev', 'Abrev', []);
      AddIndex('ndxName', 'Country + Name', []);
    end;
  MessageDlg('File created',mtWarning,[mbOK],0);
end;
[/code]

I have tried regenerating the indexes, deleting the index file and re-adding the indexes, and copying the data into a new file. Same problem.
TagsNo tags attached.
Fixed in Revision
FPCOldBugId0
FPCTarget
Attached Files

Activities

Jonas Maebe

2011-10-15 17:05

manager   ~0053013

TDBF has been abandoned by its maintainer and is no longer supported by the FPC team (the unit is still available, but with a deprecation warning explaining the situation).

You may be able to get further help from other users on the tdbf forum at http://sourceforge.net/projects/tdbf/forums/forum/107245

Issue History

Date Modified Username Field Change
2011-02-20 22:40 Old Dog New Issue
2011-02-20 22:40 Old Dog Status new => assigned
2011-02-20 22:40 Old Dog Assigned To => Joost van der Sluis
2011-05-09 18:13 Joost van der Sluis FPCOldBugId => 0
2011-05-09 18:13 Joost van der Sluis Summary index oddity => tdbf index oddity
2011-10-15 17:05 Jonas Maebe Status assigned => resolved
2011-10-15 17:05 Jonas Maebe Resolution open => suspended
2011-10-15 17:05 Jonas Maebe Note Added: 0053013